export { supportedExtensions } from './constants.js';
export { generateTypeDeclaration } from './generateTypeDeclaration.js';
export { processScript } from './processScript/index.js';
export { pull } from './pull.js';
export { push } from './push.js';
export { syncMacros } from './syncMacros.js';
export { watch } from './watch.js';
import 'fs/promises';
import 'path';
import '@babel/generator';
import '@babel/parser';
import '@babel/plugin-proposal-class-properties';
import '@babel/plugin-proposal-class-static-block';
import '@babel/plugin-proposal-decorators';
import '@babel/plugin-proposal-json-strings';
import '@babel/plugin-proposal-logical-assignment-operators';
import '@babel/plugin-proposal-nullish-coalescing-operator';
import '@babel/plugin-proposal-numeric-separator';
import '@babel/plugin-proposal-object-rest-spread';
import '@babel/plugin-proposal-optional-catch-binding';
import '@babel/plugin-proposal-optional-chaining';
import '@babel/plugin-proposal-private-property-in-object';
import '@babel/plugin-transform-exponentiation-operator';
import '@babel/traverse';
import '@babel/types';
import '@rollup/plugin-babel';
import '@rollup/plugin-commonjs';
import '@rollup/plugin-json';
import '@rollup/plugin-node-resolve';
import '@samual/lib/assert';
import 'prettier';
import 'rollup';
import './processScript/minify.js';
import '@samual/lib/countHackmudCharacters';
import '@samual/lib/spliceString';
import 'acorn';
import 'terser';
import './processScript/shared.js';
import './processScript/postprocess.js';
import './processScript/preprocess.js';
import 'import-meta-resolve';
import './processScript/transform.js';
import '@samual/lib/clearObject';
import '@samual/lib/copyFilePersistent';
import '@samual/lib/DynamicMap';
import '@samual/lib/writeFilePersistent';
import 'chokidar';
